function [cv_momI ] = cv_projection(Dhat,Sq,Lhat,Zm,alpha,BhatI,T,kappaT,phihatvec)

csi = sqrt(T)*diag(diag(Dhat).^(-1/2))*Sq*phihatvec; 
bind = (csi<kappaT); %indicator which takes value 1 if the inequality is considered binding; 
br = sum(bind);

for ss = 1:size(Zm,2)
      
    A = diag(diag(Dhat(bind,bind)).^(-1/2))*Sq(bind,:)*Lhat*Zm(:,ss); % first term in the minimization problem
          
%     [uI] = fmincon(@(uI)((A-uI)'*BhatI(bind,bind)*(A-uI)),zeros(br,1),-eye(br),zeros(br,1),[1 ,zeros(1,size(A,1)-1)],0); 
 
    uI =  (A>=0).*A; 
    uI(1,1) = 0;
    GbarI(1,ss) = (A-uI)'*BhatI(bind,bind)*(A-uI);          
        
         
end
  

 cv_momI = prctile(GbarI,(1-alpha)*100);