function [cv_momO, cv_momI ] = f_Gbar(D,S_q,Lhat,Z4,alpha, BhatO,BhatI)

for ss = 1:size(Z4,2)
      
         A = diag(diag(D).^(-1/2))*S_q*Lhat*Z4(:,ss); % first term in the minimization problem
        
         % when Bhat = inv(Omega)
         if  A(2,1) + A(1,1)*BhatO(2,1)/BhatO(2,2) >= 0
            vO = A(2,1) + A(1,1)*BhatO(2,1)/BhatO(2,2);  
         else
            vO = 0;
         end
                  
         GbarO(1,ss) = [A-[0;vO]]'*BhatO*[A-[0;vO]];
         
         % when Bhat = identity matrix
         if  A(2,1) + A(1,1)*BhatI(2,1)/BhatI(2,2) >= 0
            vI = A(2,1) + A(1,1)*BhatI(2,1)/BhatI(2,2);  
         else
            vI = 0;
         end
                  
         GbarI(1,ss) = [A-[0;vI]]'*BhatI*[A-[0;vI]];

         
end
  
 cv_momO = prctile(GbarO,(1-alpha)*100);
 cv_momI = prctile(GbarI,(1-alpha)*100);